Show webhook
GET
/v1/webhooks/{id}
const url = 'http://api.disclosebot.localdev:3000/v1/webhooks/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://api.disclosebot.localdev:3000/v1/webhooks/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”Successful
Media type application/vnd.api+json
object
data
required
object
id
required
string format: uuid
type
required
string
attributes
required
object
name
required
string
short_description
string
url
required
string format: uri
enabled
required
boolean
created_at
required
string format: date-time
updated_at
required
string format: date-time
relationships
object
trigger_event_types
object
data
Array<object>
object
id
required
string format: uuid
type
required
string
organization
object
data
object
id
required
string format: uuid
type
required
string
tunnel_endpoint
object
data
object
id
string format: uuid
type
string
local_app
object
data
object
id
string format: uuid
type
string
Example
{ "data": { "type": "webhook", "relationships": { "trigger_event_types": { "data": [ { "type": "trigger_event_type" } ] }, "organization": { "data": { "type": "organization" } }, "tunnel_endpoint": { "data": { "type": "tunnel_endpoint" } }, "local_app": { "data": { "type": "local_app" } } } }}Unauthorized
Not found